Bug Tracking System
for Almico.com

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000468SpeedFanHardware supportpublic2006-02-06 20:312006-06-04 22:41
Reporterpit63 
Assigned Toalfredo 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionno change required 
Platformp4 p5ag2 eOSwindows xpOS Versionwindows xo pro
Product Version4.27 
Target VersionFixed in Version 
Summary0000468: Does speefan report corectly temp of hardisk western digital wd2500js sata2
DescriptionSpeedfan report that the temperature of my hardisk western digital wd2500js sata2 is 68 or 70
TagsNo tags attached.
Motherboard Model
Video Card Model
Attached Filestxt file icon speedfan.txt [^] (45,050 bytes) 2006-03-07 21:29 [Show Content]

- Relationships

-  Notes
(0001472)
alfredo (manager)
2006-02-07 16:05

As far as I know, if temperatures are shown, they are correct. Are you sure you read the correct temperature? Upload here, as an attachment (there is a specific button on this page), the result of the SEND REPORT.
(0001503)
pit63 (reporter)
2006-02-07 23:31

Yes i'm sure that it's the correct temperature.
I took my hard disk out of the tower , and now temperature is 59-60
(0001504)
pit63 (reporter)
2006-02-07 23:33
edited on: 2006-02-10 09:32

SpeedFan version : SpeedFan 4.27
Motherboard model : p5ad2-e premium

*****************************

BIOS CopyRight : A M I - 3000523BIOS Date: 03/23/05 11:39:32 Ver: 08.00.10BIOS Date: 03/23/05 11:39:32 Ver: 08.00.10
BIOS Date : 03/23/05
BIOS Extended Info :
BIOS Name : AT/AT COMPATIBLE

Windows NT Multiprocessor Free version 5.1.2600

2 processor(s)
Intel Corporation Intel(R) Pentium(R) 4 CPU 3.00GHz family 15 model 4 stepping 3 brand 0 3010 MHz (0 bytes level 1 - 0 bytes level 2 - 0 bytes level 3)

SMART Enabled for drive 2
 --> S.M.A.R.T. attributes properly read
 --> S.M.A.R.T. thresholds properly read
Start of DEBUG DATA for drive 2
--> cylinders : 30401
--> tracks per cilinder : 255
--> sectors per track : 63
--> bytes per sector : 512
--> disk size : 250,1
End of DEBUG DATA for drive 2
Found WDC WD2500JS-00MHB0 (250,1GB)
Found WDC WD2500JS-00MHB0 Firmware revision <02.01C03> (250,1GB) Serial <WD-WCANK1951116>
 --> ATA device
 --> Fixed Drive
 --> S.M.A.R.T. Supported (enabled)
 --> Power Management Supported (enabled)
 --> Automatic Acoustic Management Supported (disabled)
 --> 48-bit Addressing ($5970 $1D1C $0000 $0000)
 --> UDMA Mode 0 Supported
 --> UDMA Mode 1 Supported
 --> UDMA Mode 2 Supported
 --> UDMA Mode 3 Supported
 --> UDMA Mode 4 Supported
 --> UDMA Mode 5 Supported
 --> UDMA Mode 6 Supported
 --> UDMA Mode 5 Active
SMART Structure Revision : $0010
ID=$01 NAME=Raw Read Error Rate VALUE=$C8 WORST=$C8 RAW=$000000000000 THRSHLD=$33 FLAGS=$000F
ID=$03 NAME=Spin Up Time VALUE=$C4 WORST=$C4 RAW=$000000001437 THRSHLD=$15 FLAGS=$0003
ID=$04 NAME=Start/Stop Count VALUE=$64 WORST=$64 RAW=$000000000006 THRSHLD=$00 FLAGS=$0032
ID=$05 NAME=Reallocated Sector Count VALUE=$C8 WORST=$C8 RAW=$000000000000 THRSHLD=$8C FLAGS=$0033
ID=$07 NAME=Seek Error Rate VALUE=$C8 WORST=$C8 RAW=$000000000000 THRSHLD=$33 FLAGS=$000F
ID=$09 NAME=Power On Hours Count VALUE=$64 WORST=$64 RAW=$00000000001A THRSHLD=$00 FLAGS=$0032
ID=$0A NAME=Spin Retry Count VALUE=$64 WORST=$FD RAW=$000000000000 THRSHLD=$33 FLAGS=$0013
ID=$0B NAME=Calibration Retry Count VALUE=$64 WORST=$FD RAW=$000000000000 THRSHLD=$33 FLAGS=$0012
ID=$0C NAME=Power Cycle Count VALUE=$64 WORST=$64 RAW=$000000000004 THRSHLD=$00 FLAGS=$0032
ID=$BE NAME=(Unknown Attribute) VALUE=$2A WORST=$19 RAW=$00000000003A THRSHLD=$2D FLAGS=$0022
ID=$C2 NAME=Temperature VALUE=$5C WORST=$4B RAW=$00000000003A THRSHLD=$00 FLAGS=$0022
Current HD temperature is 58C
ID=$C4 NAME=Reallocated Event Count VALUE=$C8 WORST=$C8 RAW=$000000000000 THRSHLD=$00 FLAGS=$0032
ID=$C5 NAME=Current Pending Sector VALUE=$C8 WORST=$C8 RAW=$000000000000 THRSHLD=$00 FLAGS=$0012
ID=$C6 NAME=Offline Correctable VALUE=$C8 WORST=$C8 RAW=$000000000000 THRSHLD=$00 FLAGS=$0010
ID=$C7 NAME=UltraATA CRC Error Rate VALUE=$C8 WORST=$C8 RAW=$000000000000 THRSHLD=$00 FLAGS=$003E
ID=$C8 NAME=Write Error Rate VALUE=$C8 WORST=$C8 RAW=$000000000000 THRSHLD=$33 FLAGS=$0009

(0001516)
Gary Fai (reporter)
2006-02-10 01:31

I think I have the same issue with a WD 2500KS 16GB Sata2. It seems to consistently report about 14 degree's C higher then my other drive in the system, a WD800 JB PATA
(0001517)
Village_Idiot (reporter)
2006-02-10 06:57

I don't see this problem with WD320gb, which is a slightly early model (sata 1)
(0001520)
alfredo (manager)
2006-02-10 09:40

I think that the next release of the statistics database used for the online in-depth hard disk analysis tool added to SpeedFan 4.28 will include your hard disk. According to the preliminary data, these are the relevant temperature numbers as collected by SpeedFan:
absolute min temp: 18C
absolute max temp: 51C
absolute avg temp: 33C
These temperatures are read at the time when a report is generated.
This means that SpeedFan can properly read the temperature from your specific hard disk model (I'm comparing the same firmware).
My opinion is that a high performance, high capacity hard disk can't be cold. If this is what you get, it might be a dissipation issue related to the speficic model: the heat generated in the internal part reaches the outside quite slowly. My other guess is that WD put the thermal sensor in the hottest spot, which makes sense.
Anyway: according to the 23 reports that built up the previous statistic, your hard disk seems to be much hotter than the average hard disk with the same model. I suggest you to contact WD to get a final answer.
(0001523)
pit63 (reporter)
2006-02-11 00:16

i habe 3 hard disk
a maxtor 80 gb : 45
(0001525)
pit63 (reporter)
2006-02-12 01:11

i try speedfan 4.28 but the problem is the same
(0001529)
alfredo (manager)
2006-02-13 18:41

Did you try any other tool? I'm sure enough that any other tool not from WD will report the same values as SpeedFan. If WD releases any tool, please, let me know your findings.
(0001531)
pit63 (reporter)
2006-02-15 10:54

yes i tried hdd thermometer , and the temp are the same like on speedfan
(0001544)
wibble (reporter)
2006-02-25 19:04

FYI

1. Western Digital LifeGaurd Diagnostics reports the "Unknown Attribute" (BE) to be airflow temperature.

The values appear to go down from 100, which 45 being the threshold which may or may not relate to be the 55'c working temperature range specified for the drive. This value tracks the HD temperature (50 lower).

2. Western digital have a kb article regarding how to measure drive temperature it is numbered 1295 and is found at support.wdc.com, however, when testing a unit with a temperature probe which registers 50'c in SMART the top of the drive case is actually 30'c, I didn't measure the underside as WDC requests, maybe another time.
(0001555)
alfredo (manager)
2006-02-26 01:58

I'm investigating attribute 190 ($BE). I saw it in some hard disks. Not only on WDs. I'm searching for a manual containing a final word on this attribute. In the meantime I'm building a model to figure out if that attribute always reflects the temperature. The reason why I haven't labeled it as "temperature" yet is that I can't understand the real reason for having two different attributes returning the same value as about 99.8% of the hard disks with both attributes report no difference between them.
(0001572)
the_snowgoose (reporter)
2006-03-07 21:30
edited on: 2006-03-07 21:30

I have the same issue with a WD2500KS (16Mb SATA-II), SpeedFan v4.28. I have attached my report.

(0001576)
Meanteam (reporter)
2006-03-10 11:34

I've spent the last week buying and installing various cooling configurations because I felt the temperatures reported for my WD2500KS were very high at 50c.

Yesterday I added some temp probes and found the temperatures were nowhere near the temps reported by the drive through Speedfan.

I contacted WD and this is their response:

The temperatures reported by all SMART monitoring software is incorrect for the WD2500KS due to a firmware bug. The drive is not defective but the temperatures that the revision of the drive you have bought report to software are incorrect. We are working on a solution.

So there you go, not a Speedfan bug. I'm assuming we need to wait for WD to release a firmware patch.

Oh well, I've probably got the best cooled hard drive in the UK now! :-)
(0001579)
dgkulick (reporter)
2006-03-11 14:35

I have a WD1600JSRTL which is also reading at 50C at idle and is cool to the touch. Two other drives in the system work fine. I guess it's the same issue.
(0001671)
yd (reporter)
2006-05-10 09:08

I have the same issue - has anyone heard from WD about this issue?

I sent WD the following report:

I have two hard drives in my computer. The 160 GB WD drive (Model: WDC WD1600JS-22MHB0) is my primary drive. The second drive (Seagate Barracuda 160 GB) is only used for backup. The two drives are next to each other and at startup the computer is
(0001688)
lets dream (reporter)
2006-05-22 22:00
edited on: 2006-05-22 22:13

Thank you a lot to all, specially pit63 and Meanteam for a discussion that ended 2 days of hard worry about my 71 degrees Celcius brand new WD 250 Gb SATA2 !!

I was REALLY allarmed, because my disks actually were pretty hot. In fact, I have 2 disks that were on to adjacent slots, and with only half a centimeter in between. I have not yet spent my money on some extensive cooling. I have just moved my two hard disks away from each other, and I today read
WD drive : 64-24=40
Matrox drive : 41
This confirm pit63 idea about the 24 degrees extra.

By the way, I have not used speefan, but smartmontools (sourceforge.net) which I recomand since it is available in all platforms (linux, windows, ...), and include a deamon that will test the drive periodically and send email on error.
I have also used another soft with GUI for Windows, but it had the email function as a commercial extension :)

The best quote:
"
I contacted WD and this is their response:

The temperatures reported by all SMART monitoring software is incorrect for the WD2500KS due to a firmware bug. The drive is not defective but the temperatures that the revision of the drive you have bought report to software are incorrect. We are working on a solution.
"

(0001707)
alfredo (manager)
2006-06-02 10:24

Thank you for quoting the official answer from WD:

"I contacted WD and this is their response:
The temperatures reported by all SMART monitoring software is incorrect for the WD2500KS due to a firmware bug. The drive is not defective but the temperatures that the revision of the drive you have bought report to software are incorrect. We are working on a solution."

I would like to point out that even if the temperature is reported improperly, the IN-DEPTH ONLINE hard disk check from SpeedFan should properly handle this firmware bug as it uses actually returned temperatures from real hard disks with the same model and firmware. This means that while the temperature might seem to be too high by an absolute point of view, it should appear as "normal" by comparing it to real temperatures reported for that hard disk model and firmware.
(0001730)
alfredo (manager)
2006-06-04 22:41

One user reported that a temperature offset of -19C does the trick. I don't know if the mistake done by the firmware requires a linear correction, but you can give this hint a try.

- Issue History
Date Modified Username Field Change
2006-02-06 20:31 pit63 New Issue
2006-02-07 16:05 alfredo Note Added: 0001472
2006-02-07 16:05 alfredo Status assigned => acknowledged
2006-02-07 23:31 pit63 Note Added: 0001503
2006-02-07 23:32 pit63 Issue Monitored: pit63
2006-02-07 23:33 pit63 Note Added: 0001504
2006-02-10 01:31 Gary Fai Note Added: 0001516
2006-02-10 06:57 Village_Idiot Note Added: 0001517
2006-02-10 09:32 alfredo Note Edited: 0001504
2006-02-10 09:40 alfredo Note Added: 0001520
2006-02-10 09:40 alfredo Severity major => minor
2006-02-11 00:16 pit63 Note Added: 0001523
2006-02-12 01:11 pit63 Note Added: 0001525
2006-02-13 18:41 alfredo Note Added: 0001529
2006-02-15 10:54 pit63 Note Added: 0001531
2006-02-19 21:32 matteos Issue Monitored: matteos
2006-02-25 19:04 wibble Note Added: 0001544
2006-02-26 01:58 alfredo Note Added: 0001555
2006-03-07 21:26 the_snowgoose Note Added: 0001571
2006-03-07 21:27 the_snowgoose Note Deleted: 0001571
2006-03-07 21:29 the_snowgoose File Added: speedfan.txt
2006-03-07 21:30 the_snowgoose Note Added: 0001572
2006-03-07 21:30 the_snowgoose Note Edited: 0001572
2006-03-07 22:25 the_snowgoose Issue Monitored: the_snowgoose
2006-03-10 11:34 Meanteam Note Added: 0001576
2006-03-11 14:35 dgkulick Note Added: 0001579
2006-05-10 09:08 yd Note Added: 0001671
2006-05-10 09:09 yd Issue Monitored: yd
2006-05-22 22:00 lets dream Note Added: 0001688
2006-05-22 22:09 lets dream Note Edited: 0001688
2006-05-22 22:13 lets dream Note Edited: 0001688
2006-06-02 10:24 alfredo Note Added: 0001707
2006-06-02 10:24 alfredo Severity minor => feature
2006-06-02 10:24 alfredo Status acknowledged => resolved
2006-06-02 10:24 alfredo Resolution open => no change required
2006-06-04 22:41 alfredo Note Added: 0001730
2006-12-31 02:58 erkmacgurk Issue Monitored: erkmacgurk


Copyright © 2000 - 2010 MantisBT Group
Time: 0.0796 seconds.
memory usage: 858 KB
Powered by Mantis Bugtracker